SimplePortal

Support => Install and Upgrade => Topic started by: Phåråoh on October 03, 2015, 10:03:13 PM

Title: wrecked my forum installing 2.3.6 upgrade
Post by: Phåråoh on October 03, 2015, 10:03:13 PM
Every install I've done with SP has gone smooth as silk... until now.

Totally my fault.  I went to uninstall 2.3.5, saw the "failure" files, but ignored as this has never been a problem before.  BIG mistake.

Worse, I don't have a backup to use.  My server changed from auto backups to having to select them and I never knew it, until now.  Too late.

I'm sure not all the files were removed and now there are conflicts.
When I try to open my website, I get these errors:

Warning: require_once(/home/classig8/public_html/forum/Sources/Subs-Portal.php): failed to open stream: No such file or directory in /home/classig8/public_html/forum/index.php on line 58

Fatal error: require_once(): Failed opening required '/home/classig8/public_html/forum/Sources/Subs-Portal.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/classig8/public_html/forum/index.php on line 58

My forum is off line and it's a very busy one. 

I need to manually reinstall 2.3.5
I have the package.

Need guidance on how to do it, or what to do to fix it.

Thanks!
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: ♦ Ninja ZX-10RR ♦ on October 03, 2015, 11:21:29 PM
Hi Phåråoh,

Yes unfortunately uninstalling with errors can cause a LOT of issues and it's never recommended unless you know perfectly well what you are doing. There are multiple ways to proceed, but for now I'll just ask you which mods you have installed (you can still see them on the server in the Packages folder).
I can later on proceed in either guiding you to re-install everything or (harder) try to fix stuff until it's fully fixed, especially index.php that is surely broken, while you provide the mods list also attach index.php so that I'll remove some old SP code.
P.S.: manually (http://custom.simplemachines.org/mods/index.php?action=parse;mod=1104;attach=200154;smf_version=2.0.11) re-installing 2.3.5 would take days.

Regards
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: Phåråoh on October 03, 2015, 11:31:29 PM
Question:  I had thought that if I ran the  SP install.php file from the unzipped package that would put all the original files back and overwrite code in the necessary files.  Would that be an option or no?

Mods: see attached images

Your help is greatly appreciated. Once this is fixed, first thing I'm going to do is set up the server backups.  That would have made it really easy.  But then again, when I break things, I only break them in a big way.

Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: ccbtimewiz on October 04, 2015, 12:11:13 AM
The quickest way to restore your forum would to be completely re-install SMF. This will remove any errors and your forum will function again.

After doing that you could reinstall mods one-by-one, as their content is stored through SQL and you won't lose any data. You will however lose any custom edits you made yourself...
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: ♦ Ninja ZX-10RR ♦ on October 04, 2015, 12:15:35 AM
Question:  I had thought that if I ran the  SP install.php file from the unzipped package that would put all the original files back and overwrite code in the necessary files.  Would that be an option or no?
What are my eyes reading? That's a biiiiiig no. ;)

Still missing index.php. Besides you could consider to re-install SMF, import the existing database and then re-install those mods, they aren't that many, it shouldn't take a lot to do that (remember to install themes first).
Remember you will lose any custom file edits this way.

EDIT: ninja'd.
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: Phåråoh on October 04, 2015, 12:48:41 AM
I understand that uninstalling SMF and then reinstalling it fresh is the fix.

Should I install 2.0.11?  I had 2.0.10

By "custom file edits" I assume you mean any code hacks done which are not mod related; direct code changes in the files themselves.  If that's what you mean, I don't have any.  I stopped doing that a long time ago because of the headaches it caused every time there was an SMF upgrade.

Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: Chen Zhen on October 04, 2015, 01:03:55 AM
Phåråoh,

They are instructing you to use the SMF 2.0.11 Large Upgrade Package.
You do not "uninstall" anything as this process will render your forum in a default state although it will not affect your database.

ref. http://download.simplemachines.org/index.php?thanks;filename=smf_2-0-11_upgrade.zip

You unzip the file & upload all its contents to your main forum directory and let it overwrite any files.
Then you run it via your url & the upgrade.php file.
ie. http://www.classicwinnebagos.com/forum/upgrade.php

Here is the wiki instructions:
http://wiki.simplemachines.org/smf/Upgrading

Regards.
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: ♦ Ninja ZX-10RR ♦ on October 04, 2015, 11:12:29 AM
Hmm nothing in there, I'd try /Sources/Load.php and check if it loads stuff. If I can get you to the admin it would at least bring the site back up, somehow, and it's far quicker than uploading everything.

As for how to use your FTP account, download Filezilla (https://filezilla-project.org/), but please set the transfer mode (within filezilla) to binary otherwise I can guarantee you that it won't work correctly.
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: Phåråoh on October 04, 2015, 11:43:38 AM
I figured out my problem with using the FTP.  Actually, I didn't need to use it because I figured out my problem using the host built in unzip.  I just needed to chmod the zip to 777.

I executed the upgrade successfully  AND the theme I was using is there, and so are all the mods!

And, I assume I am now able to add the current version of SP?
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: ♦ Ninja ZX-10RR ♦ on October 04, 2015, 11:59:24 AM
If you uploaded the whole archive it will show the mods as installed, but nearly none of them are *actually* installed. They show as if they are installed because the database says so, but it doesn't know you re-uploaded SMF.
If you uploaded SMF with fresh files you need to manually check each mod as uninstalled, with this tool: http://download.simplemachines.org/index.php?thanks;filename=fix_packages.php when you download it, upload it onto your server and point your browser to it manually. After you have done that, mark all mods as uninstalled (ignore smf update packages).
When you're done you can start reinstalling everything, and if it was me, I'd uninstall the theme and re-install it first (to remove any leftovers from mods), then proceed with mods (including SimplePortal 2.3.6).

Regards
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: Phåråoh on October 04, 2015, 12:54:25 PM
Actually, all the mods are there, in the packages directory.  It makes sense to me because all the directories weren't removed during the SMF 2.0.11 upgrade.  Only the SMF files were overwritten.  The package manager even showed the [install] status on all of them.  All I had to do is click on it and it worked.

I've been installing them, and it's all good! 

The only mod with an issue is the defunct SMF Media Gallery, which really stinks because we have thousands of photos and many are embedded in posts as well.  But, that's an SMF issue.

Otherwise, the site is up and running and all mods and data are intact!

Thank you so much for all your help.  And even more thanks for how amazingly quick you responded!
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: ♦ Ninja ZX-10RR ♦ on October 04, 2015, 01:51:10 PM
Yep, if you re-installed them that way they surely work, I meant that they couldn't have been installed right after re-installing smf the way you did ;)

You can go ahead and re-install the gallery as well, it should work. If it fails something then I suggest you to either give it a try on your own or to contact the mod author and ask him if he can have a look.
Anyways, I guess you've learned the hard way not to ignore failed tests (unless they are about specific language files)  :not-possible: :P
Do note, you can simply push the "Mark as solved" button, you don't need to manually go up and edit the first post, which is a lot more annoying. In this case, since you got it fixed nice and beautifully, I'll go ahead and do it for you! :)

Regards
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: Phåråoh on October 04, 2015, 02:01:46 PM
Mod author is no longer supporting the mod.  Hasn't for a long time.  There's a few failures on the install, looks like direct insertion of code would be needed, if I can find the right place, but I'm really skittish about doing that anymore.
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: ♦ Ninja ZX-10RR ♦ on October 04, 2015, 02:03:54 PM
Hmm, you can post on sm.org, in coding discussion most likely. Or you can have someone do it for you (but probably paid).
Sorry for the OffTopic but how many tests are failing and in which files?
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: Phåråoh on October 04, 2015, 06:37:57 PM
2 tests:  1st one: 
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: Phåråoh on October 04, 2015, 06:41:56 PM
2nd one
Title: Re: wrecked my forum installing 2.3.6 upgrade
Post by: ♦ Ninja ZX-10RR ♦ on October 04, 2015, 08:23:03 PM
I will PM you, it seems an extremely easy fix (no, I won't ask you any money, it's a 2-minutes thing) :)
SimplePortal 2.3.7 © 2008-2021, SimplePortal